:: This script signs the executable passed in as the first parameter with the Rinstrum signing key
:: For use in automated build processes
@ECHO OFF

SET signapp=%1
SET /p password=<"%~dp0password.txt"

ECHO Signing %signapp%...
"%~dp0signtool.exe" sign /f "%~dp0Certs\RinstrumComodoCert.p12" /p %password% /n "Rinstrum" /fd sha256 /ac "%~dp0Certs\AddTrustExternalCARoot.crt" /tr http://timestamp.comodoca.com/rfc3161 /td sha256 /v %signapp%
